#ifndef _OPENCV_FLANN_PRECOMP_HPP_
#define _OPENCV_FLANN_PRECOMP_HPP_

#include <cstdio>
#include <cstdarg>
#include <sstream>

#include "opencv2/core/core.hpp"
#include "opencv2/core/internal.hpp"

#include "flann/miniflann.hpp"
#include "flann/dist.h"
#include "flann/index_testing.h"
#include "flann/params.h"
#include "flann/saving.h"
#include "flann/general.h"
#include "flann/dummy.h"

// index types
#include "flann/all_indices.h"
#include "flann/flann_base.hpp"

#endif
